import 'package:feed_plugin/models/media.dart';
import 'package:feed_plugin/pages/home_page.dart';
import 'package:feed_plugin/repo/feed_repository.dart';
import 'package:feed_plugin/service/http_service.dart';
import 'package:feed_plugin/widgets/loadingButtonIndicator.dart';
import 'package:flutter/material.dart';
import 'models/user_model.dart';

class FeedPlugin extends StatefulWidget {
  const FeedPlugin(
      {Key key,
      @required this.token,
      @required this.firstName,
      @required this.lastName,
      @required this.about,
      @required this.profileImg,
      // this.partnerToken,
      this.partnerCompanyName,
      this.logo,
      this.media,
      this.loc})
      : super(key: key);

  final String token;
  final String firstName;
  final String lastName;
  final String about;
  final String profileImg;
  // final String partnerToken;
  final String partnerCompanyName;
  final String logo;
  final media;
  final loc;

  @override
  _FeedPluginState createState() => _FeedPluginState();
}

class _FeedPluginState extends State<FeedPlugin> {
  HttpService httpService;

  FeedRepository feedRepository;

  UserModel currentUser;

  // UserModel currentPartner;

  Future<UserModel> getCurrentUserAndPartner() async {
    // UserModel partner = new UserModel(
    //   firstName: widget.partnerCompanyName,
    //   lastName: "",
    //   about: "",
    //   profileImg: widget.logo,
    //   id: -1,
    //   userPayloadId: "",
    //   // media: Media.fromJson(widget.media),
    // );
    // setState(() {
    //   currentPartner = partner;
    // });
    // if (widget.partnerToken != null) {
    //   await feedRepository
    //       .authenticateUser(widget.partnerCompanyName, "", "", widget.logo,
    //           widget.partnerToken, widget.media)
    //       .then((partner) => {
    //             setState(
    //               () {
    //                 currentPartner = partner;
    //               },
    //             )
    //           });
    // }
    await feedRepository
        .authenticateUser(widget.firstName, widget.lastName, widget.about,
            widget.profileImg, widget.token, null)
        .then((user) => {
              setState(
                () {
                  currentUser = user;
                },
              )
            });
    return currentUser;
  }

  @override
  void initState() {
    httpService = HttpService("gogog");
    feedRepository = FeedRepository(httpService);
    // getCurrentUserAndPartner();
    super.initState();
  }

  @override
  Widget build(BuildContext context) {
    // return FutureBuilder(
    //     future: getCurrentUserAndPartner(),
    //     builder: (BuildContext context, AsyncSnapshot<UserModel> snapshot) {
    //       if (currentUser == null) {
    //         return LoadingIndicatorDark();
    // }
    return HomePage(
      token: this.widget.token,
      firstName:
          this.widget.firstName != null && this.widget.firstName != "null"
              ? this.widget.firstName
              : "",
      lastName: this.widget.lastName != null && this.widget.lastName != "null"
          ? this.widget.lastName
          : "",
      about: this.widget.about,
      profileImg: this.widget.profileImg,
      partnerMedia: this.widget.media,
      partnerName: this.widget.partnerCompanyName,
      // partnerToken: this.widget.partnerToken,
      partnerProfileImg: this.widget.logo,
      // currentPartner: currentPartner,
      // currentUser: currentUser,
      loc: this.widget.loc,
    );
    // });
  }
}
