import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import 'package:flutter_parsed_text/flutter_parsed_text.dart';
import 'package:flutter_screenutil/flutter_screenutil.dart';
import 'package:url_launcher/url_launcher.dart' show canLaunch, launch;

class Parse extends StatefulWidget {
  const Parse({Key key, @required this.myText, @required this.style})
      : super(key: key);

  final String myText;
  final TextStyle style;
  @override
  _ParseState createState() => _ParseState();
}

class _ParseState extends State<Parse> {
  @override
  Widget build(BuildContext context) {
    return ParsedText(
      alignment: TextAlign.start,
      text: this.widget.myText,
      parse: <MatchText>[
        MatchText(
            type: ParsedType.EMAIL,
            style: TextStyle(
              color: Colors.blue,
              fontSize: ScreenUtil().setSp(15),
            ),
            onTap: (url) {
              launch("mailto:" + url);
            }),
        MatchText(
            type: ParsedType.URL,
            style: TextStyle(
              color: Colors.blue,
              fontSize: ScreenUtil().setSp(15),
            ),
            onTap: (url) async {
              var a = await canLaunch(url);

              if (a) {
                launch(url);
              }
            }),
        MatchText(
            type: ParsedType.PHONE,
            style: TextStyle(
              color: Colors.blue,
              fontSize: ScreenUtil().setSp(15),
            ),
            onTap: (url) {
              launch("tel:" + url);
            }),
        MatchText(
            pattern: r"\B#+([\w]+)\b",
            style: TextStyle(
              color: Colors.blue,
              fontSize: ScreenUtil().setSp(15),
            ),
            onTap: (url) async {
              showDialog(
                context: context,
                builder: (BuildContext context) {
                  // return object of type Dialog
                  return AlertDialog(
                    title: new Text("Hashtag clicked"),
                    content: new Text("$url clicked."),
                    actions: <Widget>[
                      // usually buttons at the bottom of the dialog
                      new FlatButton(
                        child: new Text("Close"),
                        onPressed: () {},
                      ),
                    ],
                  );
                },
              );
            }),
        MatchText(
            pattern: r"lon",
            style: TextStyle(
              color: Colors.blue,
              fontSize: ScreenUtil().setSp(15),
            ),
            onTap: (url) async {})
      ],
      style: this.widget.style,
    );
  }
}
